#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 prim-uniq
version:              0.2
visibility:           public
id:                   prim-uniq-0.2-H8KTHiurL2p8b5NIztyXX5
key:                  prim-uniq-0.2-H8KTHiurL2p8b5NIztyXX5
license:              LicenseRef-PublicDomain
maintainer:           Obsidian Systems, LLC <maintainer@obsidian.systems>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/obsidiansystems/prim-uniq
synopsis:             Opaque unique identifiers in primitive state monads
description:
    Opaque unique identifiers in primitive state monads
    and a GADT-like type using them as witnesses of type
    equality.

category:             Data, Dependent Types
abi:                  dc4b14f861c0febec9f4c55a474c66f0
exposed:              True
exposed-modules:
    Data.Unique.Prim Data.Unique.Tag Unsafe.Unique.Prim
    Unsafe.Unique.Tag

import-dirs:          /usr/lib/ghc-9.0.2/site-local/prim-uniq-0.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/prim-uniq-0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-prim-uniq
hs-libraries:         HSprim-uniq-0.2-H8KTHiurL2p8b5NIztyXX5
depends:
    base-4.15.1.0 dependent-sum-0.7.2.0-20yKkj0sdYhLUFuECURaRp
    primitive-0.7.4.0-vwDq7840sM3xgs4vWuDTK

haddock-interfaces:   /usr/share/doc/haskell-prim-uniq/html/prim-uniq.haddock
haddock-html:         /usr/share/doc/haskell-prim-uniq/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

